# bcond_with    = disable
# bcond_without = enable
%bcond_without gtkdoc

%define api_version     1.0
%define gir_major       1.0
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev      %mklibname %{name} %{api_version} -d
%define gir_name        %mklibname %{name}-gir %{gir_major}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.56.3
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Internationalization
URL:		https://pango.gnome.org/
Source0:	https://download.gnome.org/sources/pango/%{url_ver}/pango-%{version}.tar.xz
# The bad symptoms that are fixed by this patch still appear when it is not
# applied. Restoring ( -- shlomif )
Patch1:		pango-mga25737.patch
Patch2:		pango-fix-gnumeric-crash.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gi-docgen)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-no-export-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(harfbuzz)
BuildRequires:	pkgconfig(libthai)
BuildRequires:	pkgconfig(xft)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	python3dist(docutils)
BuildRequires:	python3dist(gi-docgen)
BuildRequires:	meson
BuildRequires:	pkgconfig(gobject-introspection-1.0)
%if %{with gtkdoc}
BuildRequires:	gtk-doc
BuildRequires:	libxslt-proc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
%else
Obsoletes:	pango-doc < %{version}-%{release}
%endif
Obsoletes:	pango-tests < 1.54.0-1
Conflicts:	%{_lib}pango1.0-devel < 1.54.0-2

%description
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{lib_name}
Summary:	System for layout and rendering of internationalized text
Group:		System/Libraries
Provides:	lib%{name}%{api_version} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}

%description -n %{lib_name}
A library to handle Unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libnamedev}
Summary:	Development files for pango
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	lib%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{name} = %{version}
Requires:	%{lib_name} = %{version}
Requires:	%{gir_name} = %{version}
Recommends:	%{name}-doc >= %{version}

%description -n %{libnamedev}
This package includes the static libraries and header files
for the pango package.

%package -n %{gir_name}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package doc
Summary:        %{summary}
Group:		Development/GNOME and GTK+
BuildArch:	noarch

%description doc
This package provides API documentation for Pango.


%prep
%autosetup -p1

%build
%meson \
        -Ddocumentation=%{?with_gtkdoc:true}%{!?with_gtkdoc:false} \
        -Dman-pages=true
%meson_build

%install
%meson_install

%check
# fails with iurt or mock, and when gnumeric patch is enabled
%meson_test || true

%files
%doc README.md THANKS
%doc NEWS
%{_bindir}/pango-list
%{_bindir}/pango-segmentation
%{_bindir}/pango-view
%{_mandir}/man1/pango-list.1*
%{_mandir}/man1/pango-segmentation.1*
%{_mandir}/man1/pango-view.1*

%files -n %{lib_name}
%{_libdir}/libpango-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangoft2-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangoxft-%{api_version}.so.%{lib_major}{,.*}
%{_libdir}/libpangocairo-%{api_version}.so.%{lib_major}{,.*}

%files -n %{gir_name}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoFc-%{gir_major}.typelib
%{_libdir}/girepository-1.0/PangoOT-%{gir_major}.typelib

%files -n %{libnamedev}
%{_libdir}/libpango-*.so
%{_libdir}/libpangoxft-*.so
%{_libdir}/libpangoft2-*.so
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoFc-%{gir_major}.gir
%{_datadir}/gir-1.0/PangoOT-%{gir_major}.gir

%if %{with gtkdoc}
%files doc
%doc utils/HELLO.txt
%doc %{_datadir}/doc/Pango
%doc %{_datadir}/doc/PangoFT2
%doc %{_datadir}/doc/PangoXft
%doc %{_datadir}/doc/PangoCairo
%doc %{_datadir}/doc/PangoOT
%doc %{_datadir}/doc/PangoFc
%endif


%changelog
* Tue Mar 18 2025 daviddavid <daviddavid> 1.56.3-1.mga10
+ Revision: 2165948
- new version 1.56.3

* Tue Jan 21 2025 daviddavid <daviddavid> 1.56.1-1.mga10
+ Revision: 2140150
- new version 1.56.1

* Mon Jan 13 2025 daviddavid <daviddavid> 1.56.0-1.mga10
+ Revision: 2138766
- new version 1.56.0

* Fri Dec 27 2024 wally <wally> 1.55.0-1.mga10
+ Revision: 2130637
- new version 1.55.0
- move all utils into main pkg
- remove main pkg requires from lib pkg

* Sat Jun 15 2024 daviddavid <daviddavid> 1.54.0-1.mga10
+ Revision: 2074275
- new version 1.54.0

* Tue Apr 23 2024 daviddavid <daviddavid> 1.52.2-1.mga10
+ Revision: 2060719
- new version: 1.52.2

* Sun Mar 17 2024 daviddavid <daviddavid> 1.52.1-1.mga10
+ Revision: 2050267
- new version 1.52.1

* Tue Mar 05 2024 daviddavid <daviddavid> 1.52.0-1.mga10
+ Revision: 2047598
- new version 1.52.0

* Thu Sep 21 2023 tv <tv> 1.51.0-1.mga10
+ Revision: 1989246
- Update to 1.51.0

* Sat Apr 22 2023 tmb <tmb> 1.50.14-1.mga9
+ Revision: 1954129
- update to 1.50.14

* Thu Nov 24 2022 tv <tv> 1.50.12-1.mga9
+ Revision: 1910731
- Update to 1.50.12

* Mon Oct 03 2022 ovitters <ovitters> 1.50.11-1.mga9
+ Revision: 1894468
- new version 1.50.11

* Fri Sep 16 2022 ovitters <ovitters> 1.50.10-1.mga9
+ Revision: 1889334
- new version 1.50.10

* Wed Aug 10 2022 ovitters <ovitters> 1.50.9-1.mga9
+ Revision: 1876795
- new version 1.50.9

* Sat Jul 02 2022 ovitters <ovitters> 1.50.8-1.mga9
+ Revision: 1867115
- new version 1.50.8

* Thu Apr 14 2022 ovitters <ovitters> 1.50.7-1.mga9
+ Revision: 1849736
- new version 1.50.7

* Sat Mar 19 2022 ovitters <ovitters> 1.50.6-1.mga9
+ Revision: 1799684
- new version 1.50.6

* Tue Mar 15 2022 luigiwalser <luigiwalser> 1.50.5-1.mga9
+ Revision: 1793884
- fix files list for docs
+ ovitters <ovitters>
- new version 1.50.5

* Wed Feb 09 2022 ovitters <ovitters> 1.50.4-1.mga9
+ Revision: 1772775
- new version 1.50.4

* Wed Dec 22 2021 ovitters <ovitters> 1.50.3-1.mga9
+ Revision: 1763257
- new version 1.50.3

* Thu Dec 16 2021 ovitters <ovitters> 1.50.2-1.mga9
+ Revision: 1762276
- new version 1.50.2

* Sat Dec 11 2021 ovitters <ovitters> 1.50.1-1.mga9
+ Revision: 1761391
- new version 1.50.1

* Mon Dec 06 2021 ovitters <ovitters> 1.50.0-1.mga9
+ Revision: 1760970
- new version 1.50.0
- new version 1.49.4

* Mon Nov 08 2021 ovitters <ovitters> 1.49.3-1.mga9
+ Revision: 1754778
- new version 1.49.3

* Sat Nov 06 2021 joequant <joequant> 1.49.2-1.mga9
+ Revision: 1754061
- update to 1.49.2

* Sat Sep 11 2021 ovitters <ovitters> 1.48.10-1.mga9
+ Revision: 1745159
- new version 1.48.10

* Wed Aug 18 2021 ovitters <ovitters> 1.48.9-1.mga9
+ Revision: 1741829
- new version 1.48.9

* Thu Aug 12 2021 ovitters <ovitters> 1.48.8-1.mga9
+ Revision: 1741117
- new version 1.48.8

* Sun Aug 08 2021 ovitters <ovitters> 1.48.7-1.mga9
+ Revision: 1740250
- new version 1.48.7

* Tue May 18 2021 ovitters <ovitters> 1.48.5-1.mga9
+ Revision: 1725444
- new version 1.48.5

* Sat Mar 27 2021 tv <tv> 1.48.4-2.mga9
+ Revision: 1711149
- Re-enable doc

* Sat Mar 27 2021 ovitters <ovitters> 1.48.4-1.mga9
+ Revision: 1711067
- new version 1.48.4
- new version 1.48.3
- resync gnumeric crash patch

* Thu Feb 11 2021 ovitters <ovitters> 1.48.2-1.mga9
+ Revision: 1675153
- new version 1.48.2

* Fri Jan 29 2021 ovitters <ovitters> 1.48.1-1.mga8
+ Revision: 1674003
- new version 1.48.1

* Wed Nov 18 2020 ovitters <ovitters> 1.48.0-1.mga8
+ Revision: 1646976
- new version 1.48.0

* Wed Sep 30 2020 ovitters <ovitters> 1.47.0-1.mga8
+ Revision: 1631299
- new version 1.47.0

* Fri Sep 18 2020 ovitters <ovitters> 1.46.2-1.mga8
+ Revision: 1628642
- new version 1.46.2

* Thu Aug 20 2020 ovitters <ovitters> 1.46.1-1.mga8
+ Revision: 1616592
- new version 1.46.1

* Mon Aug 10 2020 ovitters <ovitters> 1.46.0-1.mga8
+ Revision: 1613129
- new version 1.46.0

* Wed Aug 05 2020 ovitters <ovitters> 1.45.5-1.mga8
+ Revision: 1611293
- new version 1.45.5

* Thu Jul 30 2020 ovitters <ovitters> 1.45.4-1.mga8
+ Revision: 1609926
- new version 1.45.4

* Mon Jun 22 2020 ovitters <ovitters> 1.45.3-1.mga8
+ Revision: 1598494
- new version 1.45.3

* Thu Jun 18 2020 shlomif <shlomif> 1.45.2-4.mga8
+ Revision: 1596425
- fix crash in gnumeric when opening a file with a chart

* Tue Jun 16 2020 shlomif <shlomif> 1.45.2-3.mga8
+ Revision: 1593531
- restore mga25737 patch

* Fri Jun 12 2020 ovitters <ovitters> 1.45.2-2.mga8
+ Revision: 1592795
- drop pango-mga25737.patch; fixed differently in 1.45.2 (upstream commit dd867f41)

* Fri Jun 12 2020 tv <tv> 1.45.2-1.mga8
+ Revision: 1592717
- 1.45.2

* Thu Jun 11 2020 shlomif <shlomif> 1.45.1-4.mga8
+ Revision: 1592356
- gtk2 crashes: apply more patches
- gtk2 crashes: apply more patches

* Wed Jun 10 2020 shlomif <shlomif> 1.45.1-3.mga8
+ Revision: 1592074
- fix another gtk2 crash

* Wed Jun 10 2020 shlomif <shlomif> 1.45.1-2.mga8
+ Revision: 1591986
- fix gtk2 crash
+ ovitters <ovitters>
- update url

* Tue Jun 09 2020 ovitters <ovitters> 1.45.1-1.mga8
+ Revision: 1591209
- new version 1.45.1

* Mon May 04 2020 shlomif <shlomif> 1.44.7-3.mga8
+ Revision: 1578729
- fix for pidgin-facebook hang: mga#25737

* Mon Feb 17 2020 umeabot <umeabot> 1.44.7-2.mga8
+ Revision: 1537107
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 ovitters <ovitters> 1.44.7-1.mga8
+ Revision: 1455707
- new version 1.44.7

* Tue Sep 03 2019 ovitters <ovitters> 1.44.6-1.mga8
+ Revision: 1436632
- new version 1.44.6

* Wed Aug 14 2019 ovitters <ovitters> 1.44.5-1.mga8
+ Revision: 1429320
- new version 1.44.5

* Tue Aug 13 2019 ovitters <ovitters> 1.44.4-1.mga8
+ Revision: 1429210
- new version 1.44.4

* Sun Aug 04 2019 ovitters <ovitters> 1.44.3-1.mga8
+ Revision: 1427227
- new version 1.44.3

* Sat Aug 03 2019 ovitters <ovitters> 1.44.2-1.mga8
+ Revision: 1426977
- new version 1.44.2

* Mon Jul 29 2019 ovitters <ovitters> 1.44.1-1.mga8
+ Revision: 1424810
- new version 1.44.1

* Sat Jul 27 2019 ovitters <ovitters> 1.44.0-1.mga8
+ Revision: 1424588
- new version 1.44.0
- dropped merged patch 0001-pango.pc-Make-gobject-2.0-a-non-private-requirement.patch

* Thu Apr 18 2019 umeabot <umeabot> 1.43.0-3.mga7
+ Revision: 1392853
- Rebuild with meson 0.50.1

* Wed Apr 03 2019 wally <wally> 1.43.0-2.mga7
+ Revision: 1385604
- add upstream patch to fix linking issues when building against pango

* Fri Mar 08 2019 ovitters <ovitters> 1.43.0-1.mga7
+ Revision: 1372660
- switch to meson
- new version 1.43.0

* Sun Sep 23 2018 umeabot <umeabot> 1.42.4-2.mga7
+ Revision: 1300103
- Mageia 7 Mass Rebuild

* Mon Aug 20 2018 ovitters <ovitters> 1.42.4-1.mga7
+ Revision: 1253135
- new version 1.42.4

* Mon Jul 30 2018 ovitters <ovitters> 1.42.3-1.mga7
+ Revision: 1246125
- new version 1.42.3
+ wally <wally>
- loosen lib pkg requires

* Thu Jul 19 2018 ovitters <ovitters> 1.42.2-1.mga7
+ Revision: 1244378
- new version 1.42.2

* Sat Apr 07 2018 ovitters <ovitters> 1.42.1-1.mga7
+ Revision: 1215933
- new version 1.42.1

* Mon Mar 12 2018 ovitters <ovitters> 1.42.0-1.mga7
+ Revision: 1208594
- new version 1.42.0

* Tue Feb 13 2018 ovitters <ovitters> 1.41.1-1.mga7
+ Revision: 1200850
- new version 1.41.1

* Thu Nov 16 2017 ovitters <ovitters> 1.40.14-1.mga7
+ Revision: 1177508
- new version 1.40.14

* Sat Oct 28 2017 ovitters <ovitters> 1.40.13-1.mga7
+ Revision: 1174311
- new version 1.40.13

* Mon Sep 04 2017 ovitters <ovitters> 1.40.12-1.mga7
+ Revision: 1151188
- new version 1.40.12

* Sat Aug 19 2017 ovitters <ovitters> 1.40.11-1.mga7
+ Revision: 1141674
- new version 1.40.11
- new version 1.40.10

* Wed Aug 09 2017 ovitters <ovitters> 1.40.9-1.mga7
+ Revision: 1139121
- new version 1.40.9

* Mon Aug 07 2017 ovitters <ovitters> 1.40.8-1.mga7
+ Revision: 1138687
- new version 1.40.8

* Tue Jul 18 2017 ovitters <ovitters> 1.40.7-1.mga7
+ Revision: 1124705
- new version 1.40.7

* Mon May 22 2017 ovitters <ovitters> 1.40.6-1.mga6
+ Revision: 1104124
- new version 1.40.6

* Sat Apr 08 2017 ovitters <ovitters> 1.40.5-1.mga6
+ Revision: 1096129
- new version 1.40.5
- new version 1.40.4

* Sun Nov 27 2016 wally <wally> 1.40.3-3.mga6
+ Revision: 1070426
- drop unneeded requires

* Mon Sep 26 2016 tv <tv> 1.40.3-2.mga6
+ Revision: 1056765
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 tv <tv> 1.40.3-1.mga6
+ Revision: 1056121
- new release
+ ovitters <ovitters>
- new version 1.40.2

* Mon Apr 11 2016 ovitters <ovitters> 1.40.1-1.mga6
+ Revision: 1000377
- new version 1.40.1

* Tue Mar 22 2016 ovitters <ovitters> 1.40.0-1.mga6
+ Revision: 994208
- new version 1.40.0

* Mon Dec 14 2015 ovitters <ovitters> 1.39.0-1.mga6
+ Revision: 910415
- new version 1.39.0

* Mon Oct 12 2015 ovitters <ovitters> 1.38.1-1.mga6
+ Revision: 890103
- new version 1.38.1

* Wed Sep 23 2015 fwang <fwang> 1.38.0-1.mga6
+ Revision: 882338
- 1.38.0

* Mon Sep 14 2015 ovitters <ovitters> 1.37.5-1.mga6
+ Revision: 879360
- new version 1.37.5

* Wed Sep 09 2015 ovitters <ovitters> 1.37.4-1.mga6
+ Revision: 874267
- new version 1.37.4

* Sat Aug 15 2015 ovitters <ovitters> 1.37.3-1.mga6
+ Revision: 864808
- new version 1.37.3

* Tue Jul 21 2015 ovitters <ovitters> 1.37.2-1.mga6
+ Revision: 855852
- new version 1.37.2

* Sun Jun 28 2015 wally <wally> 1.37.1-2.mga6
+ Revision: 846634
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 1.37.1-1.mga6
+ Revision: 839485
- new version 1.37.1

* Sun Jun 21 2015 ovitters <ovitters> 1.37.0-1.mga6
+ Revision: 838257
- new version 1.37.0
- upstream removed pango modules support

* Wed Oct 15 2014 umeabot <umeabot> 1.36.8-3.mga5
+ Revision: 742580
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.36.8-2.mga5
+ Revision: 724952
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Mon Sep 22 2014 ovitters <ovitters> 1.36.8-1.mga5
+ Revision: 719191
- new version 1.36.8
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Sep 03 2014 ovitters <ovitters> 1.36.7-1.mga5
+ Revision: 671667
- new version 1.36.7

* Sat Aug 16 2014 ovitters <ovitters> 1.36.6-1.mga5
+ Revision: 663918
- new version 1.36.6

* Tue Jun 24 2014 ovitters <ovitters> 1.36.5-1.mga5
+ Revision: 639408
- new version 1.36.5
- new version 1.36.4

* Tue Mar 18 2014 ovitters <ovitters> 1.36.3-1.mga5
+ Revision: 604683
- new version 1.36.3

* Tue Feb 04 2014 ovitters <ovitters> 1.36.2-1.mga5
+ Revision: 582445
- new version 1.36.2

* Mon Nov 11 2013 ovitters <ovitters> 1.36.1-1.mga4
+ Revision: 550527
- new version 1.36.1

* Sat Oct 19 2013 umeabot <umeabot> 1.36.0-2.mga4
+ Revision: 536357
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 ovitters <ovitters> 1.36.0-1.mga4
+ Revision: 484173
- new version 1.36.0

* Mon Sep 02 2013 ovitters <ovitters> 1.35.3-1.mga4
+ Revision: 474474
- new version 1.35.3

* Tue Aug 20 2013 sander85 <sander85> 1.35.2-1.mga4
+ Revision: 468138
- New version: 1.35.2

* Sun Jul 28 2013 dams <dams> 1.35.0-1.mga4
+ Revision: 459234
- new version 1.35.0
- add 'pango-test' sub package

* Sat May 25 2013 ovitters <ovitters> 1.34.1-1.mga4
+ Revision: 427121
- drop merged patch
- new version 1.34.1

* Sun Jan 13 2013 umeabot <umeabot> 1.32.5-3.mga3
+ Revision: 362382
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.32.5-2.mga3
+ Revision: 339689
- patch6: fix build with automake 1.13

* Tue Dec 18 2012 ovitters <ovitters> 1.32.5-1.mga3
+ Revision: 332321
- new version 1.32.5

* Fri Dec 07 2012 fwang <fwang> 1.32.4-1.mga3
+ Revision: 327908
- drop unused patch
- br harfbuzz 0.9.9
+ ovitters <ovitters>
- new version 1.32.4

* Tue Nov 20 2012 fwang <fwang> 1.32.3-1.mga3
+ Revision: 319698
- revert harbuff 0.9.7 adoption
+ ovitters <ovitters>
- new version 1.32.3

* Thu Nov 15 2012 fwang <fwang> 1.32.2-1.mga3
+ Revision: 318021
- new version 1.32.2

* Fri Sep 28 2012 fwang <fwang> 1.32.1-1.mga3
+ Revision: 298873
- new version 1.32.1

* Thu Sep 27 2012 shlomif <shlomif> 1.32.0-2.mga3
+ Revision: 298828
- New release - mkrel 2 - bug fix for crashes.
  https://bugzilla.gnome.org/show_bug.cgi?id=684959 .

* Thu Sep 27 2012 fwang <fwang> 1.32.0-1.mga3
+ Revision: 298560
- update module version
- pangox was removed
- update file list
- set doc as noarch package
- new version 1.32.0

* Mon Jun 11 2012 blino <blino> 1.30.1-2.mga3
+ Revision: 259571
- use new --system option when running pango-querymodules in post script

* Sun Jun 10 2012 shlomif <shlomif> 1.30.1-1.mga3
+ Revision: 259565
- Got rid of tabs to please rpmlint
- Made rpmlint happier with some fixes
- Disabled make check because it fails.
+ ovitters <ovitters>
- new version 1.30.1
- reenable make check

* Wed Mar 28 2012 ovitters <ovitters> 1.30.0-1.mga2
+ Revision: 227249
- disable make check, fails only on missing documentation
- clean spec
- new version 1.30.0

* Wed Nov 23 2011 fwang <fwang> 1.29.5-1.mga2
+ Revision: 171144
- rediff patches
- new version 1.29.5

* Wed Sep 28 2011 ovitters <ovitters> 1.29.4-1.mga2
+ Revision: 149973
- new version 1.29.4
  clean spec file

* Sat Sep 10 2011 fwang <fwang> 1.29.3-7.mga2
+ Revision: 142174
- rebuild for new cairo

* Fri Sep 02 2011 wally <wally> 1.29.3-6.mga2
+ Revision: 137943
- don't require gir package in lib one
- make -devel package only to suggest -doc one

* Fri Jul 08 2011 cjw <cjw> 1.29.3-5.mga2
+ Revision: 119930
- rebuild with rpm-mageia-setup 1.137 to add typelib deps

* Thu Jul 07 2011 wally <wally> 1.29.3-4.mga2
+ Revision: 119837
- fix gir package name

* Thu Jul 07 2011 cjw <cjw> 1.29.3-3.mga2
+ Revision: 119562
- rebuild for automatic typelib provides

* Tue Jul 05 2011 dmorgan <dmorgan> 1.29.3-2.mga2
+ Revision: 118845
- Make the lib package requires the gir one

* Sun Jul 03 2011 wally <wally> 1.29.3-1.mga2
+ Revision: 117732
- new version 1.29.3
- create a subpackage for gir .typelib
- clean .spec a bit

* Tue Apr 05 2011 tv <tv> 1.28.4-1.mga1
+ Revision: 80913
- patch 1: don't test the docs for now (mdv)
- bump minimal glib require
- new release

* Wed Jan 12 2011 blino <blino> 1.28.3-1.mga1
+ Revision: 7605
- enable gtkdoc, it seems autoreconf needs it
+ dmorgan <dmorgan>
- imported package pango


* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 1.28.3-1mdv2011.0
+ Revision: 582057
- new version

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 1.28.2-1mdv2011.0
+ Revision: 581891
- update to new version 1.28.2

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-5mdv2011.0
+ Revision: 577625
- rebuild for new g-i

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-4mdv2011.0
+ Revision: 563124
- rebuild for new gobject-introspection

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 1.28.1-3mdv2011.0
+ Revision: 552708
- add missing conflicts to devel package to ease upgrade

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-2mdv2011.0
+ Revision: 552031
- move gir files to the devel package

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 1.28.1-1mdv2011.0
+ Revision: 550780
- New version 1.28.1
- reenable make check (ustream bug fixed)

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 1.28.0-1mdv2010.1
+ Revision: 530057
- update to new version 1.28.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 1.27.1-1mdv2010.1
+ Revision: 510066
- new version
- disable checks

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 1.26.2-1mdv2010.1
+ Revision: 478797
- new version
- fix libtool call

* Wed Nov 18 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.1-1mdv2010.1
+ Revision: 467221
- Release 1.26.1

* Tue Nov 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.0-3mdv2010.1
+ Revision: 466977
- Update also dependencies for fontconfig and glib2

* Tue Nov 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.0-2mdv2010.1
+ Revision: 466968
- Ensure recent enough cairo is required by lib package

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.26.0-1mdv2010.0
+ Revision: 446968
- update to new version 1.26.0
- add conflict for upgrades

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 1.25.6-1mdv2010.0
+ Revision: 437327
- new version
- enable introspection

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 1.25.5-1mdv2010.0
+ Revision: 420638
- new version

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 1.25.4-1mdv2010.0
+ Revision: 417530
- new version

* Thu Aug 13 2009 Götz Waschk <waschk@mandriva.org> 1.25.3-1mdv2010.0
+ Revision: 415962
- new version
- rebuild build workaround

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 1.25.2-1mdv2010.0
+ Revision: 414977
- Release 1.25.2
- Remove patch6 (merged upstream)
- Enable tests back

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 1.25.1-3mdv2010.0
+ Revision: 414965
- Patch6 (GIT): fix crash in firefox (GNOME bug #591409)

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.25.1-2mdv2010.0
+ Revision: 414926
- fix linking

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 1.25.1-1mdv2010.0
+ Revision: 414393
- new version
- link with libstdc++

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 1.24.5-1mdv2010.0
+ Revision: 398292
- update to new version 1.24.5

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 1.24.4-1mdv2010.0
+ Revision: 390822
- update to new version 1.24.4

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1.24.3-1mdv2010.0
+ Revision: 387481
- update to new version 1.24.3

* Wed May 06 2009 Götz Waschk <waschk@mandriva.org> 1.24.2-2mdv2010.0
+ Revision: 372449
- rebuild for broken i586 package

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 1.24.2-1mdv2010.0
+ Revision: 371971
- update to new version 1.24.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1.24.1-1mdv2009.1
+ Revision: 366971
- update docbook build deps
- update to new version 1.24.1

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.24.0-1mdv2009.1
+ Revision: 356301
- update to new version 1.24.0

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 1.23.0-1mdv2009.1
+ Revision: 336736
- update to new version 1.23.0

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 1.22.4-1mdv2009.1
+ Revision: 315964
- new version
- rediff the patch

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.22.3-1mdv2009.1
+ Revision: 306200
- new version
- disable checks

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 1.22.2-2mdv2009.1
+ Revision: 300424
- rebuild with new xcb

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 1.22.2-1mdv2009.1
+ Revision: 298156
- update to new version 1.22.2

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 1.22.1-1mdv2009.1
+ Revision: 295950
- update to new version 1.22.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2009.0
+ Revision: 287355
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.21.6-1mdv2009.0
+ Revision: 282781
- new version

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2009.0
+ Revision: 276434
- new version

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 1.21.4-1mdv2009.0
+ Revision: 271027
- new version
- bump cairo dep

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.21.3-1mdv2009.0
+ Revision: 230970
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 1.20.5-1mdv2009.0
+ Revision: 230803
- new version

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 1.20.4-1mdv2009.0
+ Revision: 230465
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 1.20.3-1mdv2009.0
+ Revision: 211685
- new version

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.2-1mdv2009.0
+ Revision: 192536
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.1
+ Revision: 183686
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 1.19.4-1mdv2008.1
+ Revision: 175283
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.19.3-1mdv2008.1
+ Revision: 156137
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 1.19.2-1mdv2008.1
+ Revision: 130829
- new version

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.19.1-1mdv2008.1
+ Revision: 115272
- new version

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.19.0-2mdv2008.1
+ Revision: 109198
- rebuild for new lzma

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.0-1mdv2008.1
+ Revision: 103741
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.18.3-1mdv2008.1
+ Revision: 98728
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.18.2-1mdv2008.0
+ Revision: 89461
- new version
- reenable checks with the new libthai

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 1.18.1-1mdv2008.0
+ Revision: 72493
- new version
- drop patch 6

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-3mdv2008.0
+ Revision: 69116
- Move pango-view to devel package (with some renaming and conflicts)
- move API doc to pango-doc package and devel packages require it
- Fix description

* Tue Aug 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-2mdv2008.0
+ Revision: 68358
- Patch1 (SVN): fix hang with very long string
- Remove patch0, no longer needed

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2008.0
+ Revision: 68238
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.17.5-1mdv2008.0
+ Revision: 56595
- new version

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 1.17.4-1mdv2008.0
+ Revision: 47274
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 1.17.3-1mdv2008.0
+ Revision: 41289
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.17.2-2mdv2008.0
+ Revision: 36189
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 1.16.4-1mdv2008.0
+ Revision: 18491
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 1.16.3-1mdv2008.0
+ Revision: 17789
- new version
- disable tests, b.g.o #410152

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.16.2-1mdv2008.0
+ Revision: 14118
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.16.1-1mdv2007.1
+ Revision: 142132
- new version
- fix make check

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.16.0-1mdv2007.1
+ Revision: 126099
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-3mdv2007.1
+ Revision: 122243
- rebuild for pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-2mdv2007.1
+ Revision: 122122
- rebuild for pkgconfig provides

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-1mdv2007.1
+ Revision: 120785
- readd cairo dep
- new version
- fix build

* Wed Jan 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.15.5-2mdv2007.1
+ Revision: 112933
- build with libthai

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.15.5-1mdv2007.1
+ Revision: 112236
- new version
- drop patch 2

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.15.4-1mdv2007.1
+ Revision: 110998
- fix file list
- new version
- rediff patch 2

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 1.15.3-1mdv2007.1
+ Revision: 106338
- drop patch 6
- new version

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.2-2mdv2007.1
+ Revision: 102591
- Patch6 (CVS): fix FcFontMatch misuse

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 1.15.2-1mdv2007.1
+ Revision: 100955
- new version
- drop patch 3

* Tue Dec 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.15.1-2mdv2007.1
+ Revision: 95300
- ppc64 is a bi-arch platform
- Fix make check

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.1-1mdv2007.1
+ Revision: 91008
- Release 1.15.1
- Disable tests, they are broken atm

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.15.0-1mdv2007.1
+ Revision: 88552
- new version
- bump module version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.14.8-1mdv2007.1
+ Revision: 86305
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1.14.7-1mdv2006.0
+ Revision: 64779
- new version
- new version
  unpack sources
- Import pango

* Thu Oct 05 2006 Götz Waschk <waschk@mandriva.org> 1.14.5-1mdv2007.0
- drop patch 6
- New version 1.14.5

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.14.3-2mdv2007.0
- Patch6 (CVS): fix map engine calls

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 1.14.3-1mdv2007.0
- New version 1.14.3

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 1.14.2-1mdv2007.0
- New release 1.14.2

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.14.1-1mdv2007.0
- New release 1.14.1

* Thu Aug 10 2006 Götz Waschk <waschk@mandriva.org> 1.14.0-1mdv2007.0
- bump deps
- New release 1.14.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.13.5-1mdv2007.0
- Release 1.13.5

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.13.4-1mdv2007.0
- New release 1.13.4

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.13.3-1
- New release 1.13.3

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 1.13.2-1
- New release 1.13.2

* Mon May 29 2006 Götz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- drop patch 6
- New release 1.12.3

* Wed May 17 2006 Laurent MONTEL <lmontel@mandriva.com> 1.12.2-4
- Rebuild with new xorg

* Wed May 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-3mdk
- Update patch 6 with better CVS fix

* Sat Apr 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-2mdk
- Patch6 (CVS): fix hinting

* Fri Apr 28 2006 Götz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- drop patch 6
- New release 1.12.2

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-3mdk
- Patch6 (CVS): fix rounding (Freedesktop bug #5200)

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-2mdk
- enforce glib dependency

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk
- Release 1.12.1

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 1.10.4-1mdk
- New release 1.10.4

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 1.10.3-1mdk
- New release 1.10.3
- use mkrel

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.2-1mdk
- Release 1.10.2
- Remove patch6 (merged upstream)

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-3mdk
- Update patch6 with regression fix from CVS

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-2mdk
- Patch6 (CVS): fix pixel size support (Mdk bug #19635)

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-1mdk
- Release 1.10.1
- Remove patches 6, 7 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-3mdk 
- Patch7 (CVS): various bugfixes

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-2mdk 
- Patch6 (CVS): fix underline

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-1mdk 
- Release 1.10.0

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- fix some deps
- make it rpmbuildupdatable
- New release 1.8.2

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk 
- Release 1.8.1
- Remove patch6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-3mdk
- move pango docs to pango package, which is req'ed by *-devel

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk 
- Patch6 (CVS): fix text rotation (needed by gnumeric)

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk 
- Release 1.8.0
- Remove patches 6, 7, 8, 9, 10 (merged upstream)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0
- Patch6 (Fedora): fix metrics for bitmap fonts
- Patch7 (Fedora): fix display of unicode U3000 glyph
- Patch8 (Fedora): fix metrics in ja_JP with latin text
- Patch9 (Fedora): disable backspace_deletes_character for hangul and hiragana
- Patch10 (Fedora): fix attribute length

* Tue Oct 12 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- generate pango.modules from -modules package

* Wed Aug 04 2004 Götz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-8mdk
- Argg, really really fix dependencies this time

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-7mdk
- Really fix dependencies

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-6mdk
- Add another dependency for biarch

* Sat Jul 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-5mdk
- Enforce automake 1.8 (to respect policy)
- Rebuild to get correct .pc files (previous one were incorrect)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Enable libtoolize
- Don't force automake 1.7

* Tue May 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Fix biarch support
- Remove trigger, use test in post instead

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Patch5 (gb): add support for biarch (sync with AMD64)

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- remove patches 3 (no longer relevant), 4 (merged upstream)

